> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment Intent

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /payment_intents/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payment_intents/{id}:
    get:
      summary: Retrieve Payment Intent
      operationId: retrieve-payment-intent-copy
      parameters:
        - name: id
          in: path
          required: true
          description: The `id` of the Payment Intent you want to get.
          schema:
            type: string
            default: ''
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n  \"id\": \"pi_BO381oEATXonG6bj\",\n  \"object\": \"payment_intent\",\n  \"amount\": 1000,\n  \"currency\": \"CLP\",\n  \"widget_token\": null,\n  \"status\": \"succeeded\",\n  \"reference_id\": \"90123712\",\n  \"transaction_date\": \"2021-10-15T15:24:15.474Z\",\n  \"mode\": \"live\",\n  \"recipient_account\": {\n    \"holder_id\": \"183917137\",\n    \"number\": \"123456\",\n    \"type\": \"checking_account\",\n    \"institution_id\": \"cl_banco_de_chile\"\n  },\n  \"sender_account\": {\n  \t\"holder_id\": \"192769065\",\n    \"number\": \"123456\",\n    \"type\": \"checking_account\",\n    \"institution_id\": \"cl_banco_estado\"\n  },\n  \"created_at\": \"2021-10-15T15:23:11.474Z\"\n}"
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: pi_BO381oEATXonG6bj
                  object:
                    type: string
                    example: payment_intent
                  amount:
                    type: integer
                    example: 1000
                    default: 0
                  currency:
                    type: string
                    example: CLP
                  widget_token: {}
                  status:
                    type: string
                    example: succeeded
                  reference_id:
                    type: string
                    example: '90123712'
                  transaction_date:
                    type: string
                    example: '2021-10-15T15:24:15.474Z'
                  mode:
                    type: string
                    example: live
                  recipient_account:
                    type: object
                    properties:
                      holder_id:
                        type: string
                        example: '183917137'
                      number:
                        type: string
                        example: '123456'
                      type:
                        type: string
                        example: checking_account
                      institution_id:
                        type: string
                        example: cl_banco_de_chile
                  sender_account:
                    type: object
                    properties:
                      holder_id:
                        type: string
                        example: '192769065'
                      number:
                        type: string
                        example: '123456'
                      type:
                        type: string
                        example: checking_account
                      institution_id:
                        type: string
                        example: cl_banco_estado
                  created_at:
                    type: string
                    example: '2021-10-15T15:23:11.474Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````